%define product   PortalTransforms
%define version   1.4.1
%define release   1

%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product to make MIME types based transformations.
Name:      erp5-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
Source0:   %{product}-%{version}.tar.bz2
URL:       https://svn.erp5.org/repos/public/erp5/trunk/products/PortalTransforms
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  erp5-zope
Conflicts: PortalTransforms

#----------------------------------------------------------------------
%description
A Zope product to make MIME types based transformations.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf  %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Tue Mar  3 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.4.1-1nxd2009.0
- Use Nexedi's version (SVN rev:25843).

* Thu Oct 30 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.4.0-9nxd2008.1
- Use Nexedi's version (SVN rev:24421).

* Thu Oct 23 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.4.0-8nxd2008.1
- Use Nexedi's version (SVN rev:24295).

* Wed Oct 22 2008 Romain Courteaud <romain@nexedi.com> 1.4.0-7mdv2008.1
- Log method does not accept id parameter

* Thu Sep 11 2008 Julien Muchembled <jm@nexedi.com> 1.4.0-6mdv2008.1
- Let the user configure 'initial_header_level' for reStructuredText

* Wed Oct 10 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.4.0-5mdv2007.1
- remove configure.zcml

* Mon Oct 1 2007 Ivan Tyagov <ivan@nexedi.com> 1.4.0-4mdv2007.1
- Initial release
